Airwallex logo

Scale Settlements

Copy for LLMView as Markdown
POST /api/v1/settlement_reports/prepareCreate a Batch Report
GET /api/v1/settlement_reports/{settlement_report_id}Retrieve a Settlement Report

Create a Batch Report

POST /api/v1/settlement_reports/prepare

Create a new batch report. To create an batch transfer, must upload the attachment file of settlement ahead. Once the transfer is created, it will do correspond principle and commission between your account and merchants connected to your Airwallex account. Each file must follow our field structure to generate settlement.

Request body
deposit_idrequiredstring

A specific deposit from the Airwallex.

file_idrequiredstring

File-id that can identify settlement file through file-service.

Response body - 201 Created
create_atstring

Create time of the batch settlement.

file_idstring

Settlement file id.

settlement_report_idstring

Settlement report id generated.

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/settlement_reports/prepare
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/settlement_reports/prepare' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "deposit_id": "<string>",
> "file_id": "<string>"
>}'
Response (201 Created)
1{
2 "create_at": "<string>",
3 "file_id": "<string>",
4 "settlement_report_id": "<string>"
5}
Was this section helpful?

Retrieve a Settlement Report

GET /api/v1/settlement_reports/{settlement_report_id}

Get settlement report file for batch settlement records.

Path parameters
settlement_report_idrequiredstring

Settlement report id for specified settlement reports.

Response body - 200 OK
No response body
Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/settlement_reports/{settlement_report_id}
$curl --request GET \
> --url 'https://api.sandbox.airwallex.com/api/v1/settlement_reports/settlement_report_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Was this section helpful?